<?php


/**
 * payanyway settings form
 */
function ec_payanyway_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_server'] =  array(
    '#type' => 'textfield',
    '#title' => t('Payment server'),
    '#default_value' => variable_get('ec_payanyway_server', 'www.payanyway.ru'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('Payment system URL.')
  );
  $form['live']['ec_payanyway_login'] = array(
	'#type' => 'textfield',
	'#title' => t('PayAnyWay login'),
	'#description' => t('Login to your PayAnyWay account'),
	'#default_value' => variable_get('ec_payanyway_login', ''),
	'#size' => 70,
  );
  $form['live']['ec_payanyway_password'] = array(
	'#type' => 'textfield',
	'#title' => t('PayAnyWay password'),
	'#description' => t('Password to your PayAnyWay account'),
	'#default_value' => variable_get('ec_payanyway_password', ''),
	'#size' => 70,
  );
  $form['live']['ec_payanyway_mnt_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('Merchant ID'),
    '#default_value' => variable_get('ec_payanyway_mnt_id', ''),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('Account ID in PayAnyWay system.')
  );
  $form['live']['ec_payanyway_mnt_dataintegrity_code'] = array(
    '#type' => 'textfield',
    '#title' => t('Data integrity code'),
    '#default_value' => variable_get('ec_payanyway_mnt_dataintegrity_code', ''),
    '#description' => t('Code of data integrity verification.')
  );
  $form['live']['ec_payanyway_mnt_test_mode'] = array(
    '#type' => 'checkbox',
    '#title' => t('Test mode'),
    '#default_value' => variable_get('ec_payanyway_mnt_test_mode', '')
  );
  $form['live']['ec_payanyway_mnt_kassa'] = array(
      '#type' => 'checkbox',
      '#title' => t('Use kassa.payanyway.ru'),
      '#default_value' => variable_get('ec_payanyway_mnt_kassa', '')
  );

  return system_settings_form($form);
}

function ec_payanyway_moneta_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_moneta_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_moneta_unit_id', '1015'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_moneta_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_moneta_limit_ids', '1015'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_moneta_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_moneta_account_id', '94'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_moneta_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_moneta_isonline', TRUE)
  );

  return system_settings_form($form);
}

function ec_payanyway_yandex_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_yandex_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_yandex_unit_id', '1020'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_yandex_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_yandex_limit_ids', '1020'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_yandex_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_yandex_account_id', '16'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_yandex_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_yandex_isonline', TRUE)
  );

  return system_settings_form($form);
}

function ec_payanyway_webmoney_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_webmoney_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_webmoney_unit_id', '1017'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_webmoney_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_webmoney_limit_ids', '1017'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_webmoney_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_webmoney_isonline', TRUE)
  );

  return system_settings_form($form);
}

function ec_payanyway_plastic_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_plastic_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_plastic_unit_id', 'card'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_plastic_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_plastic_limit_ids', 'card'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_plastic_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_plastic_account_id', '159'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_plastic_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_plastic_isonline', TRUE)
  );

  return system_settings_form($form);
}

function ec_payanyway_moneymail_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_moneymail_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_moneymail_unit_id', '1038'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_moneymail_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_moneymail_limit_ids', '1038'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_moneymail_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_moneymail_account_id', '29'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_moneymail_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_moneymail_isonline', TRUE)
  );

  return system_settings_form($form);
}

function ec_payanyway_walletone_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_walletone_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_walletone_unit_id', '310212'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_walletone_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_walletone_limit_ids', '310212'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_walletone_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_walletone_account_id', '153'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_walletone_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_walletone_isonline', TRUE)
  );

  return system_settings_form($form);
}

function ec_payanyway_banktransfer_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_banktransfer_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_banktransfer_unit_id', '705000'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_banktransfer_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_banktransfer_limit_ids', '705000'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_banktransfer_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_banktransfer_account_id', '75983431'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_banktransfer_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_banktransfer_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_ciberpay_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_ciberpay_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_ciberpay_unit_id', '489755'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_ciberpay_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_ciberpay_limit_ids', '489755'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_ciberpay_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_ciberpay_account_id', '19357960'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_ciberpay_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_ciberpay_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_comepay_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_comepay_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_comepay_unit_id', '228820'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_comepay_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_comepay_limit_ids', '228820'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_comepay_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_comepay_account_id', '47654606'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_comepay_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_comepay_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_contact_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_contact_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_contact_unit_id', '1028'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_contact_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_contact_limit_ids', '1028'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_contact_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_contact_account_id', '26'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_contact_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_contact_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_elecsnet_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_elecsnet_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_elecsnet_unit_id', '232821'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_elecsnet_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_elecsnet_limit_ids', '232821'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_elecsnet_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_elecsnet_account_id', '10496472'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_elecsnet_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_elecsnet_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_euroset_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_euroset_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_euroset_unit_id', '248362'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_euroset_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_euroset_limit_ids', '248362'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_euroset_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_euroset_account_id', '136'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_euroset_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_euroset_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_forward_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_forward_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_forward_unit_id', '83046'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_forward_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_forward_limit_ids', '83046'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_forward_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_forward_account_id', '116'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_forward_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_forward_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_gorod_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_gorod_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_gorod_unit_id', '426904'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_gorod_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_gorod_limit_ids', '426904'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_gorod_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_gorod_account_id', '152'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_gorod_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_gorod_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_mcb_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_mcb_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_mcb_unit_id', '295339'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_mcb_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_mcb_limit_ids', '295339'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_mcb_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_mcb_account_id', '143'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_mcb_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_mcb_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_novoplat_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_novoplat_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_novoplat_unit_id', '281129'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_novoplat_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_novoplat_limit_ids', '281129'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_novoplat_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_novoplat_account_id', '80314912'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_novoplat_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_novoplat_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_platika_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_platika_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_platika_unit_id', '226272'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_platika_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_platika_limit_ids', '226272'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_platika_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_platika_account_id', '15662295'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_platika_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_platika_isonline', FALSE)
  );

  return system_settings_form($form);
}

function ec_payanyway_postal_settings() {
  $form['live'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['live']['ec_payanyway_postal_unit_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.unitId'),
    '#default_value' => variable_get('ec_payanyway_postal_unit_id', '1029'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.unitId')
  );
  $form['live']['ec_payanyway_postal_limit_ids'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.limitIds'),
    '#default_value' => variable_get('ec_payanyway_postal_limit_ids', '1029'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.limitIds')
  );
  $form['live']['ec_payanyway_postal_account_id'] =  array(
    '#type' => 'textfield',
    '#title' => t('paymentSystem.accountId'),
    '#default_value' => variable_get('ec_payanyway_postal_account_id', '15'),
    '#size' => 70,
    '#maxlength' => 180,
    '#description' => t('paymentSystem.accountId')
  );
  $form['live']['ec_payanyway_postal_isonline'] = array(
    '#type' => 'checkbox',
    '#title' => t('Online payment'),
    '#default_value' => variable_get('ec_payanyway_postal_isonline', FALSE)
  );

  return system_settings_form($form);
}

